Debian Bug report logs - #331174
manpages-dev: stdio.3 refers to fropen (freopen?)

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Sun, 2 Oct 2005 03:48:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages-dev/2.02-2

Fixed in version manpages/2.09-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#331174; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Debian BTS Submission <submit@bugs.debian.org>
Subject: manpages-dev: stdio.3 refers to fropen (freopen?)
Date: Sat, 1 Oct 2005 23:43:43 -0400
Package: manpages-dev
Version: 2.02-2
Severity: normal

stdio.3 refers to a function fropen, which is supposedly also
implemented as a macro.  I think either fdopen or freopen is the
intended name.

(Please respond to: pryzbyj@justinpryzby.com, s/f.net seems to be
presently broken.)

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#331174; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 331174@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,331174@bugs.debian.org
Cc: pryzbyj@justinpryzby.com,control@bugs.debian.org
Subject: Re: Bug#331174: manpages-dev: stdio.3 refers to fropen (freopen?)
Date: Wed, 12 Oct 2005 15:50:45 +0200 (MEST)
tags 331174 fixed-upstream
thanks

> stdio.3 refers to a function fropen, which is supposedly also
> implemented as a macro.  I think either fdopen or freopen is the
> intended name.

Not quite -- the man page comes from BSD where there *is* 
an fropen().  However, glibc does not have this.  I have 
removed the references to this function and the related
fwopen() from this page.

Thanks!

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 331174-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 331174-close@bugs.debian.org
Subject: Bug#331174: fixed in manpages 2.09-1
Date: Mon, 21 Nov 2005 23:17:06 -0800
Source: manpages
Source-Version: 2.09-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.09-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.09-1_all.deb
manpages_2.09-1.diff.gz
  to pool/main/m/manpages/manpages_2.09-1.diff.gz
manpages_2.09-1.dsc
  to pool/main/m/manpages/manpages_2.09-1.dsc
manpages_2.09-1_all.deb
  to pool/main/m/manpages/manpages_2.09-1_all.deb
manpages_2.09.orig.tar.gz
  to pool/main/m/manpages/manpages_2.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 331174@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 22 Nov 2005 07:42:01 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.09-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 331174
Changes: 
 manpages (2.09-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Removed references to fropen() and fwopen() in stdio(3)
       (closes: Bug#331174)
Files: 
 f54da58df6069a55947ec8ebc497b927 584 doc - manpages_2.09-1.dsc
 4e5868bd31cf6b9080091ba6e2a4190a 1054298 doc - manpages_2.09.orig.tar.gz
 035bb457c9da26719243345825b6d670 44773 doc - manpages_2.09-1.diff.gz
 99da2490389a38e7a78c33c46b45d9b4 405314 doc important manpages_2.09-1_all.deb
 7b6857c476a190e9d81616ea5b54d9b8 1105644 doc standard manpages-dev_2.09-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDgsMNW5ql+IAeqTIRAmYhAJ9iEr2TT7GzQE7d4ufCCM1JaTlZxACfa70V
cFZqTLv6D5oXvnEuQpq4zCQ=
=LoxE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 13:37:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:29:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.